Package org.wso2.carbon.proxyadmin.stub.types.carbon

## Class MetaData

- java.lang.Object
- - org.wso2.carbon.proxyadmin.stub.types.carbon.MetaData

- All Implemented Interfaces:
    `Serializable`, `org.apache.axis2.databinding.ADBBean`

      public class MetaData
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  MetaData bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `MetaData.Factory` | Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String[]` | `localEndpoints` | field for Endpoints This was an Array!
    `protected boolean` | `localEndpointsAvailable` | field for EndpointsAvailable
    `protected boolean` | `localEndpointsAvailableTracker` |
    `protected boolean` | `localEndpointsTracker` |
    `protected String[]` | `localSequences` | field for Sequences This was an Array!
    `protected boolean` | `localSequencesAvailable` | field for SequencesAvailable
    `protected boolean` | `localSequencesAvailableTracker` |
    `protected boolean` | `localSequencesTracker` |
    `protected String[]` | `localTransports` | field for Transports This was an Array!
    `protected boolean` | `localTransportsAvailable` | field for TransportsAvailable
    `protected boolean` | `localTransportsAvailableTracker` |
    `protected boolean` | `localTransportsTracker` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MetaData()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addEndpoints​(String param)` | Auto generated add method for the array for convenience
    `void` | `addSequences​(String param)` | Auto generated add method for the array for convenience
    `void` | `addTransports​(String param)` | Auto generated add method for the array for convenience
    `String[]` | `getEndpoints()` | Auto generated getter method
    `boolean` | `getEndpointsAvailable()` | Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement​(QName parentQName, org.apache.axiom.om.OMFactory factory)` |
    `XMLStreamReader` | `getPullParser​(QName qName)` | databinding method to get an XML representation of this object
    `String[]` | `getSequences()` | Auto generated getter method
    `boolean` | `getSequencesAvailable()` | Auto generated getter method
    `String[]` | `getTransports()` | Auto generated getter method
    `boolean` | `getTransportsAvailable()` | Auto generated getter method
    `boolean` | `isEndpointsAvailableSpecified()` |
    `boolean` | `isEndpointsSpecified()` |
    `boolean` | `isSequencesAvailableSpecified()` |
    `boolean` | `isSequencesSpecified()` |
    `boolean` | `isTransportsAvailableSpecified()` |
    `boolean` | `isTransportsSpecified()` |
    `void` | `serialize​(QName parentQName, XMLStreamWriter xmlWriter)` |
    `void` | `serialize​(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)` |
    `void` | `setEndpoints​(String[] param)` | Auto generated setter method
    `void` | `setEndpointsAvailable​(boolean param)` | Auto generated setter method
    `void` | `setSequences​(String[] param)` | Auto generated setter method
    `void` | `setSequencesAvailable​(boolean param)` | Auto generated setter method
    `void` | `setTransports​(String[] param)` | Auto generated setter method
    `void` | `setTransportsAvailable​(boolean param)` | Auto generated setter method
    `protected void` | `validateEndpoints​(String[] param)` | validate the array for Endpoints
    `protected void` | `validateSequences​(String[] param)` | validate the array for Sequences
    `protected void` | `validateTransports​(String[] param)` | validate the array for Transports

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localEndpoints

          protected String[] localEndpoints

      field for Endpoints This was an Array!

    - #### localEndpointsTracker

          protected boolean localEndpointsTracker

    - #### localEndpointsAvailable

          protected boolean localEndpointsAvailable

      field for EndpointsAvailable

    - #### localEndpointsAvailableTracker

          protected boolean localEndpointsAvailableTracker

    - #### localSequences

          protected String[] localSequences

      field for Sequences This was an Array!

    - #### localSequencesTracker

          protected boolean localSequencesTracker

    - #### localSequencesAvailable

          protected boolean localSequencesAvailable

      field for SequencesAvailable

    - #### localSequencesAvailableTracker

          protected boolean localSequencesAvailableTracker

    - #### localTransports

          protected String[] localTransports

      field for Transports This was an Array!

    - #### localTransportsTracker

          protected boolean localTransportsTracker

    - #### localTransportsAvailable

          protected boolean localTransportsAvailable

      field for TransportsAvailable

    - #### localTransportsAvailableTracker

          protected boolean localTransportsAvailableTracker

  - ### Constructor Detail

    - #### MetaData

          public MetaData()

  - ### Method Detail

    - #### isEndpointsSpecified

          public boolean isEndpointsSpecified()

    - #### getEndpoints

          public String[] getEndpoints()

      Auto generated getter method
      Returns:
        java.lang.String[]

    - #### validateEndpoints

          protected void validateEndpoints​(String[] param)

      validate the array for Endpoints

    - #### setEndpoints

          public void setEndpoints​(String[] param)

      Auto generated setter method
      Parameters:
        `param` - Endpoints

    - #### addEndpoints

          public void addEndpoints​(String param)

      Auto generated add method for the array for convenience
      Parameters:
        `param` - java.lang.String

    - #### isEndpointsAvailableSpecified

          public boolean isEndpointsAvailableSpecified()

    - #### getEndpointsAvailable

          public boolean getEndpointsAvailable()

      Auto generated getter method
      Returns:
        boolean

    - #### setEndpointsAvailable

          public void setEndpointsAvailable​(boolean param)

      Auto generated setter method
      Parameters:
        `param` - EndpointsAvailable

    - #### isSequencesSpecified

          public boolean isSequencesSpecified()

    - #### getSequences

          public String[] getSequences()

      Auto generated getter method
      Returns:
        java.lang.String[]

    - #### validateSequences

          protected void validateSequences​(String[] param)

      validate the array for Sequences

    - #### setSequences

          public void setSequences​(String[] param)

      Auto generated setter method
      Parameters:
        `param` - Sequences

    - #### addSequences

          public void addSequences​(String param)

      Auto generated add method for the array for convenience
      Parameters:
        `param` - java.lang.String

    - #### isSequencesAvailableSpecified

          public boolean isSequencesAvailableSpecified()

    - #### getSequencesAvailable

          public boolean getSequencesAvailable()

      Auto generated getter method
      Returns:
        boolean

    - #### setSequencesAvailable

          public void setSequencesAvailable​(boolean param)

      Auto generated setter method
      Parameters:
        `param` - SequencesAvailable

    - #### isTransportsSpecified

          public boolean isTransportsSpecified()

    - #### getTransports

          public String[] getTransports()

      Auto generated getter method
      Returns:
        java.lang.String[]

    - #### validateTransports

          protected void validateTransports​(String[] param)

      validate the array for Transports

    - #### setTransports

          public void setTransports​(String[] param)

      Auto generated setter method
      Parameters:
        `param` - Transports

    - #### addTransports

          public void addTransports​(String param)

      Auto generated add method for the array for convenience
      Parameters:
        `param` - java.lang.String

    - #### isTransportsAvailableSpecified

          public boolean isTransportsAvailableSpecified()

    - #### getTransportsAvailable

          public boolean getTransportsAvailable()

      Auto generated getter method
      Returns:
        boolean

    - #### setTransportsAvailable

          public void setTransportsAvailable​(boolean param)

      Auto generated setter method
      Parameters:
        `param` - TransportsAvailable

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement​(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize​(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize​(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser​(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`